Switch to Chromium Native WebView starting from Android 4.4 (KitKat)
07/19/2017 04:50 PM - Victor K.

Status: 3akpbiTa-BelnaHa B penna Start date:

Priority: Bbicokuia Due date: 08/16/2019
Assignee: Victor K. % Done: 100%
Category: [GUI] Main Screen Estimated time: 0.00 hour
Target version: Release 2, fix #3

E-mail pna o6paTtHom

CBSA3M:

Description

CrossWalk Project is now closed, so we should switch to Chromium Native WebView starting from Android 4.4 (APl Level 19)
Please see this webpage for reference: https://developer.chrome.com/multidevice/webview/gettingstarted

But we should still support devices with API Level 16-18, so we should implement a multi-APK model. You can read about it here:
https://developer.android.com/training/multiple-apks/api.html

History

#1 - 08/03/2017 10:35 AM - Pavel D.

- Status changed from HoBas to B paspabotke

#2 - 10/11/2017 07:23 PM - Victor K.
- Due date changed from 07/31/2017 to 11/03/2017

- Target version changed from Release 2, fix #2 to Release 2, fix #3

#3 - 08/12/2019 08:47 AM - Victor K.

- Assignee changed from Pavel D. to Victor K.

#4 - 08/12/2019 04:31 PM - Victor K.
- Due date changed from 11/03/2017 to 08/16/2019
- % Done changed from 0 to 60

Revision 594 (DroidOnCarCore): Added library sources publication to Maven

#5 - 08/12/2019 06:31 PM - Victor K.

Revision 595 (DroidOnCarCore): Removed date from snapshot version + fixed a bug with Ul elements stretching on wide-screen devices

#6 - 08/13/2019 06:36 PM - Victor K.

Revision 598 (DroidOnCarCore): Added possibility to publish to release repository + Fixed a bug with sensors editor

#7 - 08/15/2019 08:34 AM - Victor K.
Revision 601 (DroidOnCarCore): Added support for version-specific JS & CSS + introduced SYSTEM_TIME_STATUS sensor

#8 - 08/15/2019 01:59 PM - Victor K.

- Status changed from B paspabortke to ['0ToBa 415 TeCTupoBaHus

#9 - 08/15/2019 01:59 PM - Victor K.

- Status changed from "otoBa ans TectupoBaHus to B npouecce tectupoBaHns

#10 - 08/17/2019 10:42 PM - Victor K.

- Status changed from B npouecce tectupoBaHus to TecT-e Heyaa4Ho-llepeoTkpbiTa

Webview doesn't load on Pre19 version.
#11 - 08/17/2019 10:42 PM - Victor K.

- Status changed from Tecr-e Heyna4Ho-llepeoTkpeiTa to B paspabotke

#12 - 08/17/2019 11:01 PM - Victor K.
- Status changed from B pa3pabortke to [(0ToBa An1s TecTupoBaHus

- % Done changed from 60 to 100

Applied in changeset droidoncar-pre19-trunk|r606.

#13 - 08/18/2019 09:48 AM - Victor K.

- Status changed from otoBa ans TectuposaHns to B npouecce tectupoBaHns

#14 - 08/22/2019 08:38 AM - Victor K.

- Status changed from B npouecce tectupoBaHus to TecT-e HeyaaqHo-llepeoTkpbita

Status bar goes below the screen border on devices with small height

#15 - 08/22/2019 08:39 AM - Victor K.

- Status changed from Tecrt-e Heyna4Ho-lNepeoTkpbiTa to B paspabotke

#16 - 08/22/2019 12:10 PM - Victor K.

- Status changed from B pa3paboTke to [(0ToBa AN TeCTupoBaHus

Applied in changeset droidoncar-pre19-trunk|r612.

#17 - 08/22/2019 12:11 PM - Victor K.

- Status changed from "otoBa ans TectuposaHns to B npouecce tectupoBaHns

#18 - 01/01/2020 09:46 PM - Victor K.

- Status changed from B npouecce tectupoBaHus to lNporectuposaHa-I oToBa B penns

#19 - 01/01/2020 09:46 PM - Victor K.

- Status changed from lNpotectuposaHa-IoToBa B penu3 to SakpsiTa-BbinaHa B penu3
